<!doctype html public "-//w3c//dtd html 3.2//ja">
<html>
<head>
<title>server status</title>
<meta http-equiv=content-type content="text/html; charset=UTF8">
</head>
<body>


<?php


	exec("hostname",$hostname);
		print("<font color=red><b>hostname</b></font><br>");
	    while(list ($key, $val) = each($hostname)) {
		print("$val <br>");
		}


	exec("df -H",$df);
		print("<font color=red><b>disk space</b></font><br>");
	    while(list ($key, $val) = each($df)) {
		print("$val <br>");
		}

	exec("free",$free);
		print("<font color=red><b>memory</b></font><br>");
	    while(list ($key, $val) = each($free)) {
		print("$val <br>");
		}

	exec("ifconfig",$ifconfig);
		print("<font color=red><b>network</b></font><br>");
	    while(list ($key, $val) = each($ifconfig)) {
		print("$val <br>");
		}

	exec("netstat -tl",$netstat1);
		print("<font color=red><b>listen</b></font><br>");
	    while(list ($key, $val) = each($netstat1)) {
		print("$val <br>");
		}

	exec("netstat -t",$netstat2);
		print("<font color=red><b>establish</b></font><br>");
	    while(list ($key, $val) = each($netstat2)) {
		print("$val <br>");
		}

	exec("nmap 127.0.0.1",$nmap);
		print("<font color=red><b>nmap</b></font><br>");
	    while(list ($key, $val) = each($nmap)) {
		print("$val <br>");
		}

	exec("ps -A",$ps);
		print("<font color=red><b>process</b></font><br>");
	    while(list ($key, $val) = each($ps)) {
		print("$val <br>");
		}










?>



</body>
</html>